Subject: Bug#854: [X2Go-Dev] Bug#854: Bug#854: Ubuntu 14.04: xinerama broken

From: Mihai Moldovan <[email-masked]>
Date: Tue, 28 Apr 2015 01:34:53 +0200

On 25.04.2015 12:51 PM, Mihai Moldovan wrote:
> On 25.04.2015 10:13 AM, Ulrich Sibiller wrote:
>> Package: x2goclient, nx-x11-common
>> Version: 4.0.3.2-0~800~ubuntu14.04.1
>>
>> As far as I know opening an x2go session from a display that uses xinerama should do the following on the server side:
>> - create a xinerama.conf with the xinerama setting on the client side
>> - set NX_XINERAMA_CONF in the envrionment
>> - extend the LD_LIBRARY_PATH to point to the nx xinerama lib.
>>
>> When I open an x2go session to my local machine (the same where the x2goclient is running) this does not work for several reasons:
>> 1. /usr/lib/nx/X11/Xinerama/libXinerama.so.1 points to the i386 version of the lib which is not existing on my 64 bit machine. dpkg -S shows that this is coming from the package nx-x11-common. So obviously this is broken.
> 
> That's a problem. Will take a look at this.

I can't do anything about this. No idea why launchpad would create a broken package. Our (self-built) Debian packages do not show this problem and building an Ubuntu package via pbuilder-dist likewise doesn't reproduce it.

Further, I've noticed that for our nightly builds, nx-x11-common is *completely* missing as a package. It looks like Launchpad is detecting it as empty and not building it at all, for whatever reason. The correct symlink that is supposed to be part of the package gets created at install time, but the build system just never copies it to the binary package staging zone.

I have tried debugging this, but cannot reproduce the problem with pbuilder-dist. For what it's worth, pbuilder-dist creates working packages, as they should have been to begin with...

Thus, I created a bug report on launchpad: https://bugs.launchpad.net/x2go/+bug/1449199

Mihai